# default.alpha.mk

.SUFFIXES: .gen .mth .cxpc .cxx .pc .o .h .c

_V6COMP=DBMS=V6


CC = cc $(X_LIB_INCLUDES) -D_SUNCC
CXX = cxx -fno-strict-prototype $(X_LIB_INCLUDES) -D_SUNCC
PROC=$(ORACLE_HOME)/bin/proc

OPTIM = -O -Olimit 2000
DEBUG = -g

CFLAGS = $(DEBUG)
LOCALCFLAGS=
CXXFLAGS = $(DEBUG)
LOCALCXXFLAGS=

ORACLE_HOME=C:/Program\ Files/Oracle
PROC=$(ORACLE_HOME)/bin/proc
PCCINCLUDE=$(ORACLE_HOME)/PRO22/C/INCLUDE
SQLCHECK=sqlcheck=full userid=chelia/florent1@test
PROCFLAGS=ireclen=1024 oreclen=1024 ltype=none select_error=no $(SQLCHECK) $(_V6COMP) MAXOPENCURSORS=255
PROCXXFLAGS=ireclen=1024 oreclen=1024 ltype=none select_error=no $(SQLCHECK) $(_V6COMP) MAXOPENCURSORS=255 code=cpp

LOCALPROCFLAGS=include=. include=$(PCCINCLUDE) include=C:\\cygwin\\EXTRAS\\develop

ORA_LIB_DIR=$(ORACLE_HOME)/PRO22/C/INCLUDE
ORALIBS=$(ORACLE_HOME)/PRO22/LIB/MSVC/SQLLIB18.LIB






.cxpc.o :
	rm -f $(<:.cxpc=.cxx)
	( ORACLE_HOME=$(ORACLE_HOME); export ORACLE_HOME; $(PROC) $(PROCXXFLAGS) $(LOCALPROCFLAGS) iname=$< oname=$(<:.cxpc=.cxx) )
	rm -f $(<:.cxpc=.lis)
	dos2unix $(<:.cxpc=.cxx)
	chmod a-w $(<:.cxpc=.cxx)
	$(CXX) -c $(CXXFLAGS) $(LOCALCXXFLAGS) -I$(PCCINCLUDE) $(<:.cxpc=.cxx)
#	rm -f $(<:.cxpc=.cxx)

.pc.o :
	rm -f $(<:.pc=.c)
	( ORACLE_HOME=$(ORACLE_HOME); export ORACLE_HOME; $(PROC) $(PROCFLAGS) $(LOCALPROCFLAGS) iname=$< oname=$(<:.pc=.c) )
	rm -f $(<:.pc=.lis)
	dos2unix $(<:.pc=.c)
	chmod a-w $(<:.pc=.c)
	$(CC) -c $(CFLAGS) $(LOCALCFLAGS) -I$(PCCINCLUDE) $(<:.pc=.c)
#	rm -f $(<:.pc=.c)

.cxx.o :
	$(CXX) -c $(CXXFLAGS) $(LOCALCXXFLAGS) $<

.c.o :
	$(CC) -c $(CFLAGS) $(LOCALCFLAGS) $<

.pc.c : 
	rm -f $(<:.pc=.c)
	( ORACLE_HOME=$(ORACLE_HOME); export ORACLE_HOME; $(PROC) $(PROCFLAGS) $(LOCALPROCFLAGS) iname=$< oname=$(<:.pc=.c) )
	rm -f $(<:.pc=.lis)
	dos2unix $(<:.pc=.c)
	chmod a-w $(<:.pc=.c)
#	$(PROC) $(PROCFLAGS) $(LOCALPROCFLAGS) iname=$< oname=$(<:.pc=.c)




